No optional description for attachments
Target version:

Resolution: Invalid Affected version:

Description

When creating or editing an issue there is no edit field for optional description of the attachment. This may be seen at
http://www.redmine.org and current trunk r11642. The optional description is in place in our production Redmine 2.2.3.

History

#1 - 2013-03-19 04:37 - Mischa The Evil

- Assignee set to Etienne Massip

Etienne, since you've rewritten the "ajax file uploader", can you take a look at this?

#2 - 2013-03-19 09:44 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

The file upload behavior has changed for 2.3.0 and #3957, #8579 and #10352.

1. drop the file(s) over the form or select it/them using the file input control

2. if the browser supports the File API (that is, most do but no IE9) then the file is eagerly uploaded to allow their use in preview
3. the description text input field shows up

4. click on Save to actually save the attachments

5. a redmine:attachments:prune Rake task has been added to prune attachments uploaded but eventually not saved

#3 - 2013-03-19 09:45 - Etienne Massip

Please reopen if it doesn't work as expected! =)

#4 - 2013-03-19 12:36 - Mischa The Evil

Ah, ok. That explains this "issue". Thanks for clearing this up.
#5 - 2013-03-20 20:56 - lvan Cenov
The bad behavior was triggered by plugin clipboard_image_paste
There is a pull request repairing the plugin.
#6 - 2013-03-21 00:50 - Mischa The Evil
Ivan Cenov wrote:
The bad behavior was triggered by plugin clipboard_image_paste
Besides the error you are experiencing with the plugin, the behavior of the attachment description did actually change in 2.3.0 as Etienne outlined in
note-2. On Redmine < 2.3.0 the attachment description field was rendered by default yet before any file was selected or whatsoever.

Nevertheless, thanks for the feedback and the reference ;)
